#!/bin/bash

SITE_PATH="/var/www/html"
GEOIP_PATH="${SITE_PATH}/libraries/easyteck/geoip"
cd $GEOIP_PATH

## Si pertenece a un Joomla 1.5 descomentar este bloque
MySQL_USER=`grep "\\$user " ${SITE_PATH}/configuration.php|awk -F"'" {'print $2'}`
MySQL_PASS=`grep "\\$password " /var/www/html/configuration.php|awk -F"'" {'print $2'}`
MySQL_DB=`grep "\\$db " /var/www/html/configuration.php|awk -F"'" {'print $2'}`
MySQL_PREFIX=`grep "\\$dbprefix " /var/www/html/configuration.php|awk -F"'" {'print $2'}`

CSV_NAME="GeoIPCountryWhois"
MySQL_TABLE=${MySQL_PREFIX}${CSV_NAME}
CSV_FILENAME="${MySQL_TABLE}.csv"

DOWN_URL="http://geolite.maxmind.com/download/geoip/database/GeoIPCountryCSV.zip"
wget -q $DOWN_URL
unzip GeoIPCountryCSV.zip
rm -f GeoIPCountryCSV.zip
mv $CSV_NAME.csv $CSV_FILENAME

mysql -u$MySQL_USER -p$MySQL_PASS -e "TRUNCATE TABLE $MySQL_TABLE" $MySQL_DB
mysqlimport --local -u$MySQL_USER -p$MySQL_PASS --fields-optionally-enclosed-by='"' --fields-terminated-by=',' $MySQL_DB $CSV_FILENAME

rm -f $CSV_FILENAME

exit 0

